LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
DispatchStatement Struct Referencepublished

represents a dispatch statement from a recorded macro More...

`import"DispatchStatement.idl";`

## Public Attributes
string | aCommand
| specifies the dispatch command More...
string | aTarget
| specifies the frame target More...
sequence< com::sun::star::beans::PropertyValue > | aArgs
| specifies the dispatch command arguments More...
long | nFlags
| specifies the optional search flags More...
boolean | bIsComment
| specifies if this statement should be recorded as commented out or not More...

## Detailed Description

represents a dispatch statement from a recorded macro

Since
  OOo 1.1.2

## Member Data Documentation

## ◆ aArgs

sequence< com::sun::star::beans::PropertyValue > aArgs

specifies the dispatch command arguments

That means the Arguments parameter of a corresponding XDispatch::dispatch() request.

## ◆ aCommand

string aCommand

specifies the dispatch command

That means the URL parameter of a corresponding XDispatchProvider::queryDispatch() request.

## ◆ aTarget

string aTarget

specifies the frame target

That means the TargetFrameName parameter of a corresponding XDispatchProvider::queryDispatch() request.

## ◆ bIsComment

boolean bIsComment

specifies if this statement should be recorded as commented out or not

See also
  XDispatchRecorder::recordDispatchAsComment()

## ◆ nFlags

long nFlags

specifies the optional search flags

That means the SearchFlags parameter of a corresponding XDispatchProvider::queryDispatch() request.

The documentation for this struct was generated from the following file:

- com/sun/star/frame/DispatchStatement.idl